Bug 1816216 (CVE-2020-11612) - CVE-2020-11612 netty: compression/decompression codecs don't enforce limits on buffer allocation sizes
Summary: CVE-2020-11612 netty: compression/decompression codecs don't enforce limits o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11612
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1816447 1816448 1818879 1865894
Blocks: 1816217
TreeView+ depends on / blocked
 
Reported: 2020-03-23 15:18 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-06-23 16:08 UTC (History)
89 users (show)

Fixed In Version: netty-4.1.46.Final
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Netty in the way it handles the amount of data it compresses and decompresses. The Compression/Decompression codecs should enforce memory allocation size limits to avoid an Out of Memory Error (OOME) or exhaustion of the memory pool.
Clone Of:
Environment:
Last Closed: 2020-04-22 16:32:29 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1422 0 None None None 2020-04-30 13:52:45 UTC
Red Hat Product Errata RHSA-2020:1538 0 None None None 2020-04-22 12:08:34 UTC
Red Hat Product Errata RHSA-2020:2605 0 None None None 2020-06-17 19:47:19 UTC
Red Hat Product Errata RHSA-2020:2618 0 None None None 2020-06-19 01:39:53 UTC
Red Hat Product Errata RHSA-2020:2751 0 None None None 2020-06-25 14:14:57 UTC
Red Hat Product Errata RHSA-2020:3133 0 None None None 2020-07-23 15:10:26 UTC
Red Hat Product Errata RHSA-2020:3196 0 None None None 2020-07-29 06:08:17 UTC
Red Hat Product Errata RHSA-2020:3197 0 None None None 2020-07-29 06:23:43 UTC
Red Hat Product Errata RHSA-2020:3501 0 None None None 2020-08-18 16:35:35 UTC
Red Hat Product Errata RHSA-2020:3585 0 None None None 2020-08-31 15:41:05 UTC
Red Hat Product Errata RHSA-2020:3626 0 None None None 2020-09-03 16:50:38 UTC
Red Hat Product Errata RHSA-2020:3779 0 None None None 2020-09-17 13:08:55 UTC
Red Hat Product Errata RHSA-2020:4252 0 None None None 2020-10-14 11:17:38 UTC
Red Hat Product Errata RHSA-2020:5568 0 None None None 2020-12-16 12:13:34 UTC

Description Guilherme de Almeida Suckevicz 2020-03-23 15:18:33 UTC
A vulnerability was found in Netty in the way it handles the amount of data it compress and decompress. Compression/Decompression Codecs should enforce memory allocation size limits to avoid OOME or exhaust the memory pool.

Reference:
https://github.com/netty/netty/pull/9924

Comment 9 Jonathan Christison 2020-04-01 15:15:42 UTC
The AMQ Broker has been marked as having a low impact, this is because although netty is built and distributed with the AMQ broker its actual use in the product doesn't use the decompression functionality provided by netty (jzlib)

Comment 15 Jonathan Christison 2020-04-21 09:12:39 UTC
AMQ Online has been marked as having a low impact, this is because although netty distributed with AMQ Online its actual use in the product doesn't use the decompression functionality provided by netty (jzlib)

Comment 16 errata-xmlrpc 2020-04-22 12:08:27 UTC
This issue has been addressed in the following products:

  Red Hat AMQ Online 1.4.1 GA

Via RHSA-2020:1538 https://access.redhat.com/errata/RHSA-2020:1538

Comment 17 Product Security DevOps Team 2020-04-22 16:32:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11612

Comment 18 errata-xmlrpc 2020-04-30 13:52:41 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:1422 https://access.redhat.com/errata/RHSA-2020:1422

Comment 19 Jonathan Christison 2020-04-30 17:07:35 UTC
AMQ Clients has been marked as having a low impact, this is because although netty is built and distributed its actual use in the product doesn't use the decompression functionality provided by netty (jzlib).

Comment 21 errata-xmlrpc 2020-06-17 19:47:15 UTC
This issue has been addressed in the following products:

  AMQ Clients 2.y for RHEL 6
  AMQ Clients 2.y for RHEL 7
  AMQ Clients 2.y for RHEL 8

Via RHSA-2020:2605 https://access.redhat.com/errata/RHSA-2020:2605

Comment 22 errata-xmlrpc 2020-06-19 01:39:48 UTC
This issue has been addressed in the following products:

  Red Hat AMQ Streams 1.5.0

Via RHSA-2020:2618 https://access.redhat.com/errata/RHSA-2020:2618

Comment 23 errata-xmlrpc 2020-06-25 14:14:52 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:2751 https://access.redhat.com/errata/RHSA-2020:2751

Comment 24 errata-xmlrpc 2020-07-23 15:10:21 UTC
This issue has been addressed in the following products:

  Red Hat AMQ

Via RHSA-2020:3133 https://access.redhat.com/errata/RHSA-2020:3133

Comment 25 errata-xmlrpc 2020-07-29 06:08:13 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:3196 https://access.redhat.com/errata/RHSA-2020:3196

Comment 26 errata-xmlrpc 2020-07-29 06:23:38 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:3197 https://access.redhat.com/errata/RHSA-2020:3197

Comment 27 Yadnyawalk Tale 2020-07-31 06:37:51 UTC
Statement:

In OpenShift Container Platform end users don't have direct access to send requests to ElasticSearch. A user could need access to the ElasticSearch service on the internal cluster network in order to be able to send malicious requests to it.


Third party scanners flagging Red Hat Satellite due to availability of the higher version packages in Red Hat AMQ Clients (through errata RHSA-2020:2605) compare to the qpid packages from Satellite Tools repository. qpid dependency fixed in errata RHSA-2020:2605 was for Red Hat AMQ Clients and it doesn't necessarily mean that packages from Satellite Tools are affected. These are two different products with different architecture and code-base. Updating the packages from any other repository than the Satellite-tools repository is not recommended for Satellite Customers. 

Red Hat Satellite 6.7 and earlier ship affected version of netty, however, there is no external connection being exposed and it is used by only Artemis to open an internal connection within the JVM. Since netty does not come into contact with untrusted data, vulnerability is not exposed in product code and there is no breach of Confidentiality, Integrity or Availability expected from this vulnerability. We may update the netty and its dependency in a future release.

More information regarding Satellite related packages can be found on KCS: https://access.redhat.com/solutions/5200591

Comment 28 Guilherme de Almeida Suckevicz 2020-08-04 13:23:57 UTC
Created netty tracking bugs for this issue:

Affects: fedora-all [bug 1865894]

Comment 29 errata-xmlrpc 2020-08-18 16:35:30 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.2

Via RHSA-2020:3501 https://access.redhat.com/errata/RHSA-2020:3501

Comment 30 errata-xmlrpc 2020-08-31 15:41:01 UTC
This issue has been addressed in the following products:

  EAP-CD 20 Tech Preview

Via RHSA-2020:3585 https://access.redhat.com/errata/RHSA-2020:3585

Comment 31 errata-xmlrpc 2020-09-03 16:50:34 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid

Via RHSA-2020:3626 https://access.redhat.com/errata/RHSA-2020:3626

Comment 32 errata-xmlrpc 2020-09-17 13:08:46 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.7

Via RHSA-2020:3779 https://access.redhat.com/errata/RHSA-2020:3779

Comment 33 errata-xmlrpc 2020-10-14 11:17:25 UTC
This issue has been addressed in the following products:

  Red Hat build of Quarkus 1.7.5

Via RHSA-2020:4252 https://access.redhat.com/errata/RHSA-2020:4252

Comment 34 errata-xmlrpc 2020-12-16 12:13:23 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.8.0

Via RHSA-2020:5568 https://access.redhat.com/errata/RHSA-2020:5568

Comment 36 errata-xmlrpc 2021-04-21 13:10:24 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.8 for RHEL 7

Via RHSA-2021:1313 https://access.redhat.com/errata/RHSA-2021:1313

Comment 37 Jonathan Christison 2021-06-01 13:10:49 UTC
Marking Red Hat Fuse 7 as having a low impact, Fuse 7 distributes affected versions of Netty in the Karaf Narayana transaction manager, however the vulnerable functionality of these artifacts is not used.


Note You need to log in before you can comment on or make changes to this bug.